import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { NtFileError } from './file-select-errors';
export declare class NtFileSelectDirective implements OnInit, OnChanges, OnDestroy {
    private _elementRef;
    private _renderer;
    private _destroy;
    private _accept;
    accept: string | Array<string>;
    private _limitSize;
    limitSize: number;
    private _multiple;
    multiple: boolean;
    private _disabled;
    disabled: boolean;
    select: EventEmitter<File[]>;
    errors: EventEmitter<NtFileError[]>;
    private _input;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    trigger(event: Event): void;
    private _updateProperty;
    private _change;
    private _fileTypeValid;
    private _fileSizeValid;
    ngOnDestroy(): void;
}
